# Mousepad

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/)

Mousepad is a Python-based library designed to facilitate seamless connectivity between multiple devices on the same network such as wifi, enabling users to interact with each other in various ways, including mouse control, keypad input, joystick emulation, screen sharing, file sharing like Airdrop, and multiplayer gaming.

## Features
- **Device Integration:** Connect and manage multiple devices on the same network.
- **Mouse Control:** Utilize devices as a mouse for precise control.
- **Keypad Input:** Input text or commands using connected devices.
- **Joystick Emulation:** Transform devices into game controllers for gaming applications.
- **Screen Sharing:** Share screens across devices for collaborative work or presentations.
- **Airdrop File Sharing:** Seamlessly share files between devices using Airdrop functionality.
- **Multiplayer Gaming:** Enable multiplayer gaming experiences over the same network, such as WiFi, for enhanced gameplay.


## How to run

Best part of mousepad is you just need two lines of code to initiate it.

1.To install mousepad python package.
```bash
  pip install mousepad
```

2.Now start the app
```bash
  python -m mousepad
```
or if you have python3 installed then 
```bash
  python3 -m mousepad
```

3. In Browser you will see a QR which you can scan through any kind of device and any kind of os for ex. Mobile.

![alt text](https://raw.githubusercontent.com/neetishsingh/customItems/main/image.png)

4. You can select the feature you want to use i.e Mouse, Keyboard, Joystick and it's configured. 
![50](https://github.com/neetishsingh/customItems/blob/main/IMG_0295.PNG?raw=true)




Note: The only requirement to take benifit of this sharing framework in that you need to have python installed in any of the device atleast.
